# BSPWM and SXMO Pinephone Pro Setup
## Because I don't really like DWM
### Batteries included. Maybe.
<hr />
## What does it do?
Here is a noncomprehensive list of what these files do:
* Start BSPWM with Picom using a near-stock SXMO xinit script 
* Add SXHKD bindings for SXMO power, volume up, and volume down keys.
* Modified SXHKD bindings to not use the super key (which is impossible with the PinePhone Keyboard).
  * Uses the ALT key instead, for the most part (ALT+ENTER for terminal, ALT+0-9 for desktop switching, etc).
    * Please refer to the `sxhkdrc` file for all bindings!
* Adds a neat Polybar I customized myself. Based around [this setup](https://github.com/altrgeek/bspwm-polybar).
  * Custom battery module that is capable of monitoring the status of both the on-board battery and keyboard battery, if applicable.
    * Will currently show `! N/A` if you don't have a keyboard equipped. I'll make it hide this soon™.
  * A custom module that displays the current status of SXMO (unlocked, lock, etc).
  * The rest of the modules were either from [altrgeek](https://github.com/altrgeek/bspwm-polybar) or ships with Polybar.

## It doesn't work on my system!
Leave an issue. Perhaps together, we can find the right batteries to include. I thought it was AA's though.

## Known issues
* The files aren't very well documented.